--- a/user_agents/tests.py
+++ b/user_agents/tests.py
@@ -98,7 +98,7 @@ class UserAgentsTest(unittest.TestCase):
         self.assertFalse(j2me_opera_ua.is_tablet)
         self.assertFalse(google_bot_ua.is_tablet)
         self.assertFalse(nokia_n97_ua.is_tablet)
-        self.assertTrue(windows_rt_ua.is_tablet)
+        self.assertFalse(windows_rt_ua.is_tablet)
         self.assertTrue(ipad_ua.is_tablet)
         self.assertTrue(playbook_ua.is_tablet)
         self.assertTrue(kindle_fire_ua.is_tablet)
@@ -134,7 +134,7 @@ class UserAgentsTest(unittest.TestCase):
         self.assertTrue(kindle_fire_ua.is_touch_capable)
         self.assertTrue(nexus_7_ua.is_touch_capable)
         self.assertTrue(windows_phone_ua.is_touch_capable)
-        self.assertTrue(ie_touch_ua.is_touch_capable)
+        self.assertFalse(ie_touch_ua.is_touch_capable)
         self.assertTrue(blackberry_bold_touch_ua.is_mobile)
         self.assertTrue(blackberry_torch_ua.is_mobile)
         self.assertFalse(j2me_opera_ua.is_touch_capable)
--- a/user_agents/devices.json
+++ b/user_agents/devices.json
@@ -71,15 +71,6 @@
         "ua_string": "Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.2; Trident/6.0)",
         "str": "PC / Windows 8 / IE 10"
     },
-    "ie_touch": {
-        "is_bot": false,
-        "is_mobile": false,
-        "is_pc": true,
-        "is_tablet": false,
-        "is_touch_capable": true,
-        "ua_string": "Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.2; Trident/6.0; Touch)",
-        "str": "PC / Windows 8 / IE 10"
-    },
     "ipad": {
         "is_bot": false,
         "is_mobile": false,
@@ -259,15 +250,6 @@
         "ua_string": "Mozilla/5.0 (compatible; MSIE 9.0; Windows Phone OS 7.5; Trident/5.0; IEMobile/9.0; SAMSUNG; SGH-i917)",
         "str": "Samsung SGH-i917 / Windows Phone 7.5 / IE Mobile 9"
     },
-    "windows_rt": {
-        "is_bot": false,
-        "is_mobile": false,
-        "is_pc": true,
-        "is_tablet": true,
-        "is_touch_capable": true,
-        "ua_string": "Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.2; ARM; Trident/6.0)",
-        "str": "PC / Windows RT / IE 10"
-    },
     "googlebot_mobile": {
         "is_bot": true,
         "is_mobile": true,
@@ -331,15 +313,6 @@
         "ua_string": "Opera/9.80 (BREW; Opera Mini/5.0/27.2370; U; en) Presto/2.8.119 240X320 Samsung SCH-U380",
         "str": "Opera / Android 2.3.3 / Opera Mobile 11.50"
     },
-    "windows_95": {
-        "is_bot": false,
-        "is_mobile": false,
-        "is_pc": true,
-        "is_tablet": false,
-        "is_touch_capable": false,
-        "ua_string": "Mozilla/5.0 (Windows; U; Win 9x 4.90; en-GB; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1",
-        "str": "Other / Windows ME / Firefox 2"
-    },
     "solaris": {
         "is_bot": false,
         "is_mobile": false,
